> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/tosspay/tosspay.authorize.md).

# TossPay.authorize

> 함수형 API `checkoutPayment`로도 같은 기능을 쓸 수 있어요. 함수형 API는 v2와 같은 `{ params: { payToken } }` 형태의 인자를 받아요.

### 기능 설명

토스페이 결제창을 띄우고 사용자 인증을 수행해요. 인증이 완료되면 성공 여부를 반환해요.

실제 결제 승인은 서버에서 `payToken`으로 별도 처리해야 해요.

### 타입

```ts
TossPay.authorize(params: CheckoutPaymentOptions): Promise<CheckoutPaymentResult>;
```

**Params**

```ts
type CheckoutPaymentOptions = {
  /** 결제 토큰이에요. */
  payToken: string;
};
```

**Response**

```ts
type CheckoutPaymentResult = {
  /** 인증이 성공했는지 여부예요. */
  success: boolean;
  /** 인증이 실패했을 경우의 이유예요. */
  reason?: string;
};
```

### 예시 코드

```js
import { TossPay } from "@apps-in-toss/web-framework";

async function handlePayment() {
  try {
    // 실제 구현 시 결제 생성 역할을 하는 API 엔드포인트로 대체해 주세요.
    const { payToken } = await fetch("/my-api/payment/create").then((res) =>
      res.json(),
    );

    const { success, reason } = await TossPay.authorize({ payToken });

    if (success) {
      // 실제 구현 시 결제를 실행하는 API 엔드포인트로 대체해 주세요.
      await fetch("/my-api/payment/execute", {
        method: "POST",
        body: JSON.stringify({ payToken }),
        headers: { "Content-Type": "application/json" },
      });
    } else {
      console.log("인증 실패:", reason);
    }
  } catch (error) {
    console.error("결제 인증 중 오류가 발생했어요:", error);
  }
}

document.querySelector("#pay-button").addEventListener("click", handlePayment);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/tosspay/tosspay.authorize.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
